﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="_Default.aspx.cs" Inherits="RadCalendar" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .hidenButton {
            display: none;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1">
        </telerik:RadScriptManager>

        <telerik:RadScriptBlock runat="server" ID="RadCodeBlock1">
            <script type="text/javascript">

            </script>

        </telerik:RadScriptBlock>



        <telerik:RadGrid runat="server" ID="radAlerts" AllowPaging="True" AllowSorting="True" ShowHeader="True" GridLines="None"
            OnNeedDataSource="radAlerts_NeedDataSource" OnItemCommand="radAlerts_ItemCommand" OnItemDataBound="radAlerts_ItemDataBound"
            OnInsertCommand="radAlerts_InsertCommand" OnUpdateCommand="radAlerts_UpdateCommand" OnDeleteCommand="radAlerts_ItemCommand">
            <ClientSettings AllowColumnsReorder="False" EnableRowHoverStyle="True" EnablePostBackOnRowClick="True">
                <Selecting AllowRowSelect="True"></Selecting>
                <Scrolling UseStaticHeaders="True"></Scrolling>
            </ClientSettings>
            <MasterTableView DataKeyNames="AlertId" AutoGenerateColumns="False" AllowMultiColumnSorting="True" EnableHeaderContextMenu="True"
                CommandItemDisplay="TopAndBottom" Height="100%">
                <NoRecordsTemplate>No Active Alerts.</NoRecordsTemplate>
                <CommandItemSettings ShowAddNewRecordButton="True" ShowCancelChangesButton="False" ShowSaveChangesButton="False" ShowRefreshButton="True" />
                <Columns>
                    <telerik:GridEditCommandColumn ButtonType="ImageButton" UniqueName="EditCommandColumn">
                        <HeaderStyle Width="1%"></HeaderStyle>
                        <ItemStyle VerticalAlign="Top" HorizontalAlign="Left" Width="1%"></ItemStyle>
                    </telerik:GridEditCommandColumn>
                    <telerik:GridButtonColumn ConfirmText="Deactivate this item?" ConfirmDialogType="RadWindow" ConfirmTitle="Deactivate" ButtonType="ImageButton"
                        CommandName="Delete" ConfirmDialogHeight="160px" ConfirmDialogWidth="250px" UniqueName="DeleteColumn">
                        <HeaderStyle Width="1%"></HeaderStyle>
                        <ItemStyle VerticalAlign="Top" Width="1%"></ItemStyle>
                    </telerik:GridButtonColumn>
                    <telerik:GridBoundColumn DataField="AlertId" HeaderText="ID" Visible="False"></telerik:GridBoundColumn>
                    <telerik:GridTemplateColumn HeaderText="Alert">
                        <HeaderStyle Width="50%"></HeaderStyle>
                        <ItemStyle VerticalAlign="Top" HorizontalAlign="Left"></ItemStyle>
                        <ItemTemplate>
                            <a href='viewattachment.aspx?alert_id=<%# Eval("AlertId") %>' target="_blank"><%# Eval("Title") %></a>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridDateTimeColumn DataField="StartDate" HeaderText="Start Date" DataFormatString="{0:d}" FilterControlWidth="80%" AutoPostBackOnFilter="True">
                        <HeaderStyle Width="10%"></HeaderStyle>
                        <ItemStyle VerticalAlign="Top" HorizontalAlign="Left"></ItemStyle>
                    </telerik:GridDateTimeColumn>
                    <telerik:GridDateTimeColumn DataField="EndDate" HeaderText="End Date" DataFormatString="{0:d}" FilterControlWidth="80%" AutoPostBackOnFilter="True">
                        <HeaderStyle Width="10%"></HeaderStyle>
                        <ItemStyle VerticalAlign="Top" HorizontalAlign="Left"></ItemStyle>
                    </telerik:GridDateTimeColumn>
                    <telerik:GridCheckBoxColumn DataField="Inactive" HeaderText="Inactive" AutoPostBackOnFilter="True">
                        <HeaderStyle Width="5%"></HeaderStyle>
                        <ItemStyle VerticalAlign="Top" HorizontalAlign="Left" Width="5%"></ItemStyle>
                    </telerik:GridCheckBoxColumn>
                </Columns>
                <EditFormSettings EditFormType="Template">
                    <EditColumn UniqueName="AlertId" />
                    <FormTemplate>
                        <telerik:RadAjaxLoadingPanel runat="server" ID="radLpAlertTemplate"></telerik:RadAjaxLoadingPanel>
                        <table class="editTable">
                            <tr>
                                <td class="left" style="width: 90px">
                                    <asp:Label runat="server" ID="lblTitle" Text="Title:"></asp:Label></td>
                                <td class="left">
                                    <telerik:RadTextBox runat="server" ID="radAlertTitle" Width="80%" ClientIDMode="Static" MaxLength="100"></telerik:RadTextBox>
                                    <asp:RequiredFieldValidator runat="server" ID="rvAlertTitle" ControlToValidate="radAlertTitle" ErrorMessage="Please enter alert text"
                                        Display="Dynamic" ForeColor="Firebrick">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="left">
                                    <asp:Label runat="server" ID="lblExitingFile" Text="Existing file:"></asp:Label></td>
                                <td class="left">
                                    <asp:HyperLink runat="server" ID="hlAlertFile"></asp:HyperLink></td>
                            </tr>
                            <tr>
                                <td class="left">
                                    <asp:Label runat="server" ID="lblFile" Text="File: "></asp:Label></td>
                                <td class="left">
                                    <telerik:RadAsyncUpload runat="server" ID="radAlertUpload" MaxFileInputsCount="1" Width="50%" />
                                </td>
                            </tr>
                            <tr>
                                <td class="left">
                                    <asp:Label runat="server" ID="lblStartDate" Text="Start Date:"></asp:Label></td>
                                <td class="left">
                                    <telerik:RadDatePicker runat="server" ID="radAlertStartDate" AutoPostBack="True"
                                        OnSelectedDateChanged="radAlertStartDate_SelectedDateChanged">
                                        <Calendar>
                                            <SpecialDays>
                                                <telerik:RadCalendarDay Repeatable="Today">
                                                    <ItemStyle BackColor="LightGray" Font-Bold="True" BorderStyle="Solid" BorderColor="Black" BorderWidth="1px"></ItemStyle>
                                                </telerik:RadCalendarDay>
                                            </SpecialDays>
                                        </Calendar>
                                        <DateInput DisplayDateFormat="yyyy-MM-dd" DateFormat="yyyy-MM-dd"></DateInput>
                                    </telerik:RadDatePicker>
                                    <asp:RequiredFieldValidator runat="server" ID="rvStartDate" ControlToValidate="radAlertStartDate" ErrorMessage="Please enter a Starting Date"
                                        Display="Dynamic">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td class="left">
                                    <asp:Label runat="server" ID="lblEndDate" Text="End Date:"></asp:Label></td>
                                <td class="left">
                                    <telerik:RadDatePicker runat="server" ID="radAlertEndDate">
                                        <Calendar>
                                            <SpecialDays>
                                                <telerik:RadCalendarDay Repeatable="Today">
                                                    <ItemStyle BackColor="LightGray" Font-Bold="True" BorderStyle="Solid" BorderColor="Black" BorderWidth="1px"></ItemStyle>
                                                </telerik:RadCalendarDay>
                                            </SpecialDays>
                                        </Calendar>
                                        <DateInput DisplayDateFormat="yyyy-MM-dd" DateFormat="yyyy-MM-dd"></DateInput>
                                    </telerik:RadDatePicker>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <asp:CheckBox runat="server" ID="cbInactive" Text="Inactive" Checked="False" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2"></td>
                            </tr>
                            <tr>
                                <td colspan="2" style="text-align: left">
                                    <asp:Button runat="server" ID="btnUpdate" Text='<%# (Container is GridEditFormInsertItem) ? "Insert" : "Update" %>'
                                        CommandName='<%# (Container is GridEditFormInsertItem) ? "PerformInsert" : "Update" %>' />
                                    <asp:Button runat="server" ID="btnCancel" Text="Cancel" CommandName="Cancel" CausesValidation="False" />
                                </td>
                            </tr>
                        </table>
                    </FormTemplate>
                </EditFormSettings>
            </MasterTableView>
        </telerik:RadGrid>


    </form>
</body>
</html>
